using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            int L = int.Parse(s[1]);
            int brojac = 0;
            s = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                if (int.Parse(s[i]) > L)
                {
                    brojac++;
                }
                else
                {
                    break;
                }
            }
            if (brojac == N)
            {
                Console.WriteLine(-1);
            }
            else
            {
                Console.WriteLine(brojac + 1);
            }

        }
    }
}